cookie_web_view 0.2.1

  • Readme
  • Changelog
  • Example
  • Installing
  • new50

Cookie Web View #

Pub License: MIT

A plugin for listen real web view cookie

  • The plugin does support only android at the moment

The plugin created for listening all web view cookies. For example for implementing auth by social media into your app.

Inline WebView in flutter using AndroidView and UiKitView

API #

  • method openUrl(String) for open url in a system web view;
  • And a onCookieChange - the stream emit the all cookies like a string

0.2.1 #

  • Fix cookies parsing

0.2.0 #

  • Change type of onCookieChange from String to Map<String, String>

0.1.0 #

  • Migrate to AndroidView for show web view on Android

0.0.2 #

Small change of pubspec.yaml

0.0.1 #

The plugin provide a native web view with all cookie listener.

example/README.md

cookie_web_view_example #

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: CookieWebView(
          onWebViewCreated: (CookieWebViewController controller) {
            controller.openUrl("https://google.com");
            controller.onCookieChange.listen((data) {
              print('cookie : $data');
            });
          },
        ),
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  cookie_web_view: ^0.2.1

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:cookie_web_view/cookie_web_view.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
50
Learn more about scoring.

We analyzed this package on Nov 15, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.6.0
  • pana: 0.12.21
  • Flutter: 1.9.1+hotfix.6

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.7 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test